Nifteem
    • Dispatch Messages
      • Request a message dispatch
        POST
      • Dispatch messages info
        GET
      • Cancel a message dispatch
        DELETE
    • Manage templates
      • Get all templates
        GET
    • User
      • User Information
        GET
    • Webhook for message status updates
    • Webhook for incoming message notification
    • Schemas
      • Channel
      • DispatchLogStatus
      • WebhookOutDispatchStatusPayload
      • WebhookOutEvent
      • WebhookOutModule
      • InMessageType
      • WebhookOutIncomingMessageDetailContactPayload
      • WebhookOutIncomingMessagePayload
      • WebhookOutIncomingMessageDetailPayload
      • ChannelIdentifierType
      • DispatchApiRequest
      • DispatchApiRequestChannelRcs
      • DispatchApiRequestChannelSms
      • DispatchApiRequestCarouselCard
      • DispatchApiRequestChannelWhatsapp
      • DispatchApiRequestChannelTelegram
      • DispatchApiRequestMessageContentDocument
      • DispatchApiRequestChannels
      • DispatchApiRequestMessageContentImage
      • DispatchApiRequestContent
      • DispatchApiRequestMessageContentText
      • DispatchApiRequestCta
      • DispatchApiRequestCtaType
      • DispatchApiRequestMessageContentVideo
      • DispatchApiRequestMessage
      • DispatchApiRequestMessageTemplate
      • DispatchApiRequestRecipient
      • DispatchApiRequestMessageContentCarousel
      • DispatchApiRequestTranslation
      • SmsEncodingType
      • TemplateApi
      • DispatchApi
      • DispatchApiMessage
      • DispatchApiRequestRecipientIdentifier
      • DispatchApiMessageStatus
      • Template

      Webhook for incoming message notification

      Webhook
      POST
      Incoming Message Notification
      This webhook is triggered when the a new message is received.

      Request

      Authorization
      API Key
      Add parameter in header
      X-API-Key
      Example:
      X-API-Key: ********************
      or
      Body Params */*Required

      Examples

      Responses

      🟢200
      Callback received successfully
      This response does not have a body.
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      cURL
      curl --location 'https://your-api-server.com' \
      --header 'X-API-Key: <api-key>' \
      --header 'Content-Type: */*' \
      --data '{
          "event": "INCOMING_MESSAGE",
          "sentDate": "2025-11-07T16:08:08Z",
          "sender": "agentSender",
          "channel": "RCS",
          "channelIdentifier": "+393470000000",
          "message": {
              "type": "TEXT",
              "text": "ok"
          }
      }'
      Modified at 2026-08-11 10:19:42
      Previous
      Webhook for message status updates
      Next
      Channel
      Built with